net.corda.core.schemas.requery.converters

## Class StateRefConverter

- net.corda.core.schemas.requery.converters.StateRefConverter

-     public class StateRefConverter

  Converts from a `class StateRef` to a Composite Key defined by a String txnHash and an Int index

  See Also:
    `class StateRef`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateRefConverter()` Converts from a `class StateRef` to a Composite Key defined by a String txnHash and an Int index

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateRef` | `convertToMapped(java.lang.Class<? extends net.corda.core.contracts.StateRef> type, kotlin.Pair<java.lang.String,java.lang.Integer> value)`
    `kotlin.Pair<java.lang.String,java.lang.Integer>` | `convertToPersisted(StateRef value)`
    `java.lang.Class<net.corda.core.contracts.StateRef>` | `getMappedType()`
    `java.lang.Integer` | `getPersistedSize()`
    `java.lang.Class<kotlin.Pair>` | `getPersistedType()`

- - ### Constructor Detail

    - #### StateRefConverter

          public StateRefConverter()

      Converts from a `class StateRef` to a Composite Key defined by a String txnHash and an Int index

      See Also:
        `class StateRef`

  - ### Method Detail

    - #### getMappedType

          public java.lang.Class<net.corda.core.contracts.StateRef> getMappedType()

    - #### getPersistedType

          public java.lang.Class<kotlin.Pair> getPersistedType()

    - #### getPersistedSize

          public java.lang.Integer getPersistedSize()

    - #### convertToPersisted

          public kotlin.Pair<java.lang.String,java.lang.Integer> convertToPersisted(StateRef value)

    - #### convertToMapped

          public StateRef convertToMapped(java.lang.Class<? extends net.corda.core.contracts.StateRef> type,
                                          kotlin.Pair<java.lang.String,java.lang.Integer> value)